## SYNOPSIS

           autoreconf [OPTION] ... [CONFIGURE-AC or DIRECTORY] ...

## DESCRIPTION

           Run  `autoconf'  (and `autoheader', `aclocal', `automake',
           `autopoint'  (formerly  `gettextize'),  and   `libtoolize'
           where appropriate) repeatedly to remake the GNU Build Sys
           tem files in the DIRECTORIES or the directory trees driven
           by CONFIGURE-AC (defaulting to `.').

           By  default,  it  only  remakes those files that are older
           than their predecessors.  If you install new  versions  of
           the  GNU Build System, running `autoreconf' remakes all of
           the files by giving it the `--force' option.

       Operation modes:
           -h, --help
                  print this help, then exit

           -V, --version
                  print version number, then exit

           -v, --verbose
                  verbosely report processing

           -d, --debug
                  don't remove temporary files

           -f, --force
                  consider all files obsolete

           -i, --install
                  copy missing auxiliary files

           -s, --symlink
                  with -i, install symbolic links instead of copies

           -m, --make
                  when applicable, re-run ./configure && make

           -W, --warnings=CATEGORY
                  report the warnings falling in CATEGORY [syntax]

       Warning categories include:
           `cross'
                  cross compilation issues

           `obsolete'
                  obsolete constructs

           `portability'
                  portability issues

           The environment  variable  `WARNINGS'  is  honored.   Some
           subtools might support other warning types, using `all' is
           encouraged.

       Library directories:
           -B, --prepend-include=DIR
                  prepend directory DIR to search path

           -I, --include=DIR
                  append directory DIR to search path

           The environment variables AUTOCONF, AUTOHEADER,  AUTOMAKE,
           ACLOCAL, AUTOPOINT, LIBTOOLIZE are honored.

## AUTHOR

           Written by David J. MacKenzie and Akim Demaille.

           Copyright  2002  Free  Software  Foundation, Inc.  This is
           free software; see  the  source  for  copying  conditions.
           There is NO warranty; not even for MERCHANTABILITY or FIT
           NESS FOR A PARTICULAR PURPOSE.

## REPORTING BUGS

           Report bugs to <bug-autoconf@gnu.org>.

## SEE ALSO

           autoconf(1),  automake(1),  autoreconf(1),  autoupdate(1),
           autoheader(1),    autoscan(1),    config.guess(1),    con
           fig.sub(1), ifnames(1), libtool(1).

           The full documentation for autoreconf is maintained  as  a
           Texinfo  manual.   If the info and autoreconf programs are
           properly installed at your site, the command

                  info autoreconf

           should give you access to the complete manual.

    autoreconf 2.57           December 2002             AUTORECONF(1)